"""Behaviour to add a Requested turnaround date.

Includes a form field and a behaviour adapter that stores the data in the
standard Date field.
"""

# from DateTime import DateTime
from retrans.poi import _
from plone.app.z3cform.widget import DateFieldWidget
from plone.autoform import directives
from plone.autoform.interfaces import IFormFieldProvider
from plone.supermodel import model
from zope.interface import provider
from zope import schema


@provider(IFormFieldProvider)
class IRequestedBy(model.Schema):
    """Add date field to content.
    """

    requested_by = schema.Date(
        title=_(u'label_requestedby_date', u'Requested By'),
        description=_(
            u'help_requestedby_date',
            default=u"The date for requested completion."),
        required=False
    )
    directives.widget('requested_by', DateFieldWidget)
